## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Class CL3D.AnimatorOnClick

Scene node animator which invokes a callback function when the scene node has been clicked.
Extends CL3D.Animator.

Class Overview
CL3D.AnimatorOnClick(scene, engine, functionToCall, register)
Scene node animator which invokes a callback function when the scene node has been clicked. Note: In this version, only bounding box checks are working, this will change in one of the next releases. It works like in this example:

    var yourFunction = function(){ alert('your scene node has been clicked!'); }
    var animator = new CL3D.AnimatorOnClick(engine.getScene(), engine, yourFunction);
    yourSceneNode.addAnimator(animator);

Parameters:
scene
  {CL3D.Scene} The scene of the animator.
engine
  {CL3D.CopperLicht} an instance of the 3d engine
functionToCall
  {function} a function which should be called when the scene node has been clicked
register
  {Boolean} (optional) set to true to prevent registering at the scene using registerSceneNodeAnimatorForEvents

Method Summary
Method Attributes | Method Name and Description
--- | ---
| animateNode(n, timeMs) Animates the scene node it is attached to and returns true if scene node was modified.
| getType() Returns the type of the animator.

Methods borrowed from class CL3D.Animator:
  createClone, onKeyDown, onKeyUp, onMouseDown, onMouseMove, onMouseUp, onMouseWheel

Method Detail
animateNode(n, timeMs)
Animates the scene node it is attached to and returns true if scene node was modified.

Parameters:
{CL3D.SceneNode} n
  The Scene node which needs to be animated this frame.
{Integer} timeMs
  The time in milliseconds since the start of the scene.

getType()
Returns the type of the animator. For the AnimatorOnClick, this will return 'onclick'.

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit